Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.atom
Interface IncomingMessage

All Known Implementing Classes:
  HttpRequestMessage

public interface IncomingMessage

Author:
  R. Alexander Milowski

Method Summary
`int` | `getContentLength()`
`java.lang.String` | `getHeader(java.lang.String key)`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getModuleBase()`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.lang.String` | `getPath()`
`java.io.Reader` | `getReader()`

Method Detail

### getMethod

    public java.lang.String getMethod()

### getPath

    public java.lang.String getPath()

### getHeader

    public java.lang.String getHeader(java.lang.String key)

### getParameter

    public java.lang.String getParameter(java.lang.String name)

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getContentLength

    public int getContentLength()

### getReader

    public java.io.Reader getReader()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getModuleBase

    public java.lang.String getModuleBase()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.